summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-cpp/gtkmm/Manifest1
-rw-r--r--dev-cpp/gtkmm/gtkmm-3.22.0.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/dev-cpp/gtkmm/Manifest b/dev-cpp/gtkmm/Manifest
index e5ad7b968e6..2f448c939fc 100644
--- a/dev-cpp/gtkmm/Manifest
+++ b/dev-cpp/gtkmm/Manifest
@@ -2,3 +2,4 @@ DIST gtkmm-2.24.4.tar.xz 10262212 SHA256 443a2ff3fcb42a915609f1779000390c640a6d7
DIST gtkmm-2.24.5.tar.xz 12022024 SHA256 0680a53b7bf90b4e4bf444d1d89e6df41c777e0bacc96e9c09fc4dd2f5fe6b72 SHA512 c50e52830977c37181439f4b82a30ac8bead0cf9022d2bec8225f8dc33e08414f863bf67056e1938fae8f888c09a5a6d757acc011fa9331a78caa6bb626dd51e WHIRLPOOL b1bd5d27f53fece724c3389eb938a9ba746fb168637cacd437f152e6753f0150e5227acaed8d9b93b8e2e497352d03d77bec3fe4a5029c144ef2270c28c31c46
DIST gtkmm-3.18.1.tar.xz 11872424 SHA256 747dff6164e5367db6fae6c30f01f0cb6bc14652353b1bdb33de8a69aa7b2520 SHA512 7f77b2e10c5041499541f5ee3762c2d17b243b6014b2d946afcd7c9d1112358db4803c08a411a4efe81a1013ae660c15ba67a7ebd0e17f3515d7258239b45cd9 WHIRLPOOL 0ccfef91c3fb0867ead5111d6c095df479fde4ea108465e4df226943a88b3db4443551eff350ffb8b823aa4b53646314b659b1491df16863326cc370327d8d76
DIST gtkmm-3.20.1.tar.xz 12178004 SHA256 051de1b8756ca6ec61f26264338cfc3060af936fd70bf4558bfe1e115418c612 SHA512 fad034db02ee3f4658bb3c065d78998f5da090ecba8903016fa1412eff845fdd46f44b2b6bd1be54d1d177bca0840815a1f492391045fbe43fa173e40b7b0fd5 WHIRLPOOL 5368bf79026c7888304b3329a28269ce17a3656b121805c4649241c622512ad2890a0c7fe0c74edd3f156388da77195fe62733c3609c245041ad2ea93090513f
+DIST gtkmm-3.22.0.tar.xz 12320816 SHA256 05da4d4b628fb20c8384630ddf478a3b5562952b2d6181fe28d58f6cbc0514f5 SHA512 0bc141ff09bc78697e89c6f071a1411cbc06e015ee664f3a6f9143bdb31793982e09533c8cff6d8c19cc53c4d32a1e5ad016db48141f5cfc21edfb333bf37988 WHIRLPOOL 8ec9f50c3f960dbe907d584c96adc0b4859b0d319c9c299f476cad8065390abb3f0b1c48cdf01303ce6f72a267b72d750d8dd5e4a011ce2d245e9acd649ee4b9
diff --git a/dev-cpp/gtkmm/gtkmm-3.22.0.ebuild b/dev-cpp/gtkmm/gtkmm-3.22.0.ebuild
new file mode 100644
index 00000000000..cdc53b16bf0
--- /dev/null
+++ b/dev-cpp/gtkmm/gtkmm-3.22.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2 multilib-minimal virtualx
+
+DESCRIPTION="C++ interface for GTK+"
+HOMEPAGE="http://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+"
+SLOT="3.0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+IUSE="aqua doc test wayland X"
+REQUIRED_USE="|| ( aqua wayland X )"
+
+RDEPEND="
+ >=dev-cpp/glibmm-2.49.1:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-3.20.0:3[aqua?,wayland?,X?,${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.35.5:2[${MULTILIB_USEDEP}]
+ >=dev-cpp/atkmm-2.24.2[${MULTILIB_USEDEP}]
+ >=dev-cpp/cairomm-1.12.0[${MULTILIB_USEDEP}]
+ >=dev-cpp/pangomm-2.38.2:1.4[${MULTILIB_USEDEP}]
+ >=dev-libs/libsigc++-2.3.2:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ media-gfx/graphviz
+ dev-libs/libxslt
+ app-doc/doxygen )
+"
+# eautoreconf needs mm-common
+
+src_prepare() {
+ if ! use test; then
+ # don't waste time building tests
+ sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+ || die "sed 1 failed"
+ fi
+
+ # don't waste time building examples
+ sed 's/^\(SUBDIRS =.*\)demos\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+ || die "sed 2 failed"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ --enable-api-atkmm \
+ $(multilib_native_use_enable doc documentation) \
+ $(use_enable aqua quartz-backend) \
+ $(use_enable wayland wayland-backend) \
+ $(use_enable X x11-backend)
+}
+
+multilib_src_test() {
+ virtx emake check
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ find demos -type d -name '.deps' -exec rm -rf {} \; 2>/dev/null
+ find demos -type f -name 'Makefile*' -exec rm -f {} \; 2>/dev/null
+ dodoc -r demos
+}